
<template>
<div>
  <h1>Home</h1>
  <button v-on:click="signout">Cerrar sessión</button>
  </div>
</template>

<script>
/**
 * @copyright       T-Systems México S.A. de C.V
 * @description     Home
 * @author          Roberto Pérez Guzmán
 * @creationDate    30 de septiembre del 2020
 */

let self = null;
export default {
 data() {
    self = this;
    return {
    }
  },
methods: {
    signout: () => {
      let { $router } = self
      self.$store.dispatch('auth/signOut', { $router })
    }
  } 
};
</script>
